declare type Param = {
    [key: string]: string;
};
export declare type ToastType = 'error' | 'warning' | 'info' | 'done';
export declare type ToastParams = {
    type: ToastType;
    message: string | null;
    duration: number;
    param: Param | undefined;
};
export declare class ToastService {
    constructor();
    private getParams;
    showError(message: string, param?: Param, duration?: number): void;
    showWarning(message: string, param?: Param, duration?: number): void;
    showInfo(message: string, param?: Param, duration?: number): void;
    showDone(message: string, param?: Param, duration?: number): void;
}
export declare const toastService: ToastService;
export {};
